Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpPivot

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpPivot
extends IEssOperation

The IEssOpPivot interface.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`int` | `getEndColumn()` Gets the column to end the pivot.
`int` | `getEndRow()` Gets the row to end the pivot.
`int` | `getStartColumn()` Gets the column to start the pivot.
`int` | `getStartRow()` Gets the row to start the pivot.
`void` | `set(int startRow, int startColumn)` Sets to pivot from row to column or column to row.
`void` | `set(int startRow, int startColumn, int endRow, int endColumn)` Sets to pivot from the specified start coordinates to the end coordinates.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### set

    public void set(int startRow,
                    int startColumn)
             throws EssException

  Sets to pivot from row to column or column to row.

  Parameters:
    `startRow` - The start row.
    `startColumn` - The start column.
  Throws:
    `EssException` - if an error occurs.

### set

    public void set(int startRow,
                    int startColumn,
                    int endRow,
                    int endColumn)
             throws EssException

  Sets to pivot from the specified start coordinates to the end coordinates.

  Parameters:
    `startRow` - The start row.
    `startColumn` - The start column.
    `endRow` - The end row.
    `endColumn` - The end column.
  Throws:
    `EssException` - if an error occurs.

### getStartRow

    public int getStartRow()
                    throws EssException

  Gets the row to start the pivot.

  Returns:
    The start row.
  Throws:
    `EssException` - if an error occurs.

### getStartColumn

    public int getStartColumn()
                       throws EssException

  Gets the column to start the pivot.

  Returns:
    The start column.
  Throws:
    `EssException` - if an error occurs.

### getEndRow

    public int getEndRow()
                  throws EssException

  Gets the row to end the pivot.

  Returns:
    The end row.
  Throws:
    `EssException` - if an error occurs.

### getEndColumn

    public int getEndColumn()
                     throws EssException

  Gets the column to end the pivot.

  Returns:
    The end column.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD